Magick::DrawablePushClipPath Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePushClipPath:
[legend]
Collaboration diagram for Magick::DrawablePushClipPath:
[legend]

## Public Member Functions

| DrawablePushClipPath (const std::string &id_)
| DrawablePushClipPath (const DrawablePushClipPath &original_)
| ~DrawablePushClipPath (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 558 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePushClipPath() [1/2]

Magick::DrawablePushClipPath::DrawablePushClipPath | ( | const std::string & | id_ | ) |

Definition at line 409 of file Drawable.cpp.

## DrawablePushClipPath() [2/2]

Magick::DrawablePushClipPath::DrawablePushClipPath | ( | const DrawablePushClipPath & | original_ | ) |

Definition at line 414 of file Drawable.cpp.

## ~DrawablePushClipPath()

Magick::DrawablePushClipPath::~DrawablePushClipPath | ( | void |  | ) |

Definition at line 419 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePushClipPath::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 428 of file Drawable.cpp.

## operator()()

void Magick::DrawablePushClipPath::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 423 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp